#ifndef KERNEL_CPU_TYPES_H
#define KERNEL_CPU_TYPES_H

// Non-semantic types specific to 32-bit Intel x86
#include <stdint.h>

#define LOW16(address) (u16)((address) & 0xffff)
#define HIGH16(address) (u16)(((address) >> 16) & 0xffff)

#endif //KERNEL_CPU_TYPES_H
